SMF 2.0 - Enable PHP7.2+ Compatibility version 1.6

Started by Chen Zhen, February 25, 2020, 10:14:04 PM

Previous topic - Next topic

Chen Zhen

February 25, 2020, 10:14:04 PM Last Edit: February 25, 2020, 10:36:23 PM by Chen Zhen
SMF 2.0 - Enable PHP7.2+ Compatibility version 1.5
Version 1.6 released February 25/2020.

Copyright 2020 ~ Chen Zhen @ web-develop.ca
Distributed under the GNU Lesser General Public License -> https://www.gnu.org/licenses/lgpl.html

This version includes a new copyright policy,fixes & omissions for SMF 2.0.17+ to facilitate proper PHP 7.2+ compatibility.

A new option has been implemented located in admin core features to enable/disable filtering "create_function" warnings.
SMF 2.0.17 default behavior is to strictly mute any "create_function()" deprecated warnings.
The purpose of this newer feature is for possibly debugging warnings created by other modifications although the default behavior can still be opted.




Note:
If you are updating SMF itself from version 2.0.15 to version 2.0.16 using available patches, you must first uninstall this modification tool.
After you have successfully upgraded to SMF 2.0.17 (without errors), you can then opt to install this modification (version 1.6 or better).
Failing to follow this procedure will cause both the SMF patches & this modification to be incapable of parsing your files properly.





Still pending:
Changes to ../Sources/Subs-Db-sqlite.php to replace sqlite_create_function with modern standard.
ie. PDO::sqliteCreateFunction or SQLite3::createFunction





Please uninstall and delete any previous versions prior to using this version.
Report any issues with this modification in this thread.

Enjoy.


Available from the download section.

DOWNLOAD MODIFICATION